/*  Author: Dr. Liping Di, Hughes STX Corporation

 Copyright (C) 1997 Hughes STX Corporation.
 Permission to use, modify, and distribute this software and its 
 documentation for any purpose without fee is hereby granted, provided 
 that the above copyright notice appear in all copies and that both that 
 copyright notice and this permission notice appear in supporting 
 documentation.

*/

#ifndef PLOTGIF_H
#define PLOTGIF_H

/* define some plotting parameters */
#define B_XSIZE 512        /* number of columns in the xy plot bit map */
#define B_YSIZE 512        /* number of rows in the xy plot bit map */
#define G_LEFTMARGIN 50    /* graphic start position in the bit map */
#define G_RIGHTMARGIN 50
#define G_BOTTONMARGIN 100  /* graphic start position in the bit map */
#define G_TOPMARGIN 50
/* function prototype */

IMPORT int plotgif(char *ftmp,      /* input: gif file name */
              unsigned short bxsize,  /* input: bit map size in x (cols) */
              unsigned short bysize,  /* input: bit map size in y (rows) */
              void *xvalue,           /* input: x value unscaled */ 
              void *yvalue,           /* input: y value unscaled */
              int style,              /* plot style */
              int32 xtype,            /* input: data type for x in HDF notation */
              int32 *ytype,           /* input: data type for y in HDF notation */
              int32 *locations,	     /* the location of individual y variable */
              int  xsize,            /* the number of bytes between x records */
              int  ysize,            /* the number of bytes between y records */
              int  nvars,            /* number of y variables */
              int scaling,
              long nrecords,          /* number of records */
              char *xname,            /* the x axis name */
              char *yname,            /* the y axis name */
              char *plot_title,        /* plot title, in case of error, the message 
                                         will be sent back in this buffer */
              char *fields         /* comma delimited variable name, the first one is x */
);
char ** tic_label (double vmin, double vmax, short npixels, 
                   unsigned short *start, unsigned short *step, 
                   unsigned short *ntics, unsigned short *mstart, 
                   unsigned short *nmtics);
#endif
